unit awtlistviewu;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls, StdCtrls,
  DividerBevel;

type

  { TForm1 }

  TForm1 = class(TForm)
    BtnAddData1: TButton;
    BtnAddData3: TButton;
    Button2: TButton;
    BtnAddData2: TButton;
    BtnDeleteData: TButton;
    BtnLVClear: TButton;
    BtnAddData4: TButton;
    DividerBevel1: TDividerBevel;
    EdtListItemID: TEdit;
    Label1: TLabel;
    ListView1: TListView;
    procedure AddToListView1(ID, LastName, FirstName, Tel, Mobilnum : string);
    procedure BtnAddData1Click(Sender: TObject);
    procedure BtnAddData2Click(Sender: TObject);
    procedure BtnDeleteDataClick(Sender: TObject);
    procedure BtnLVClearClick(Sender: TObject);
    procedure BtnAddData3Click(Sender: TObject);
    procedure BtnAddData4Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ListView1Change(Sender: TObject; Item: TListItem;
      Change: TItemChange);
    procedure ListView1Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.AddToListView1(ID, LastName, FirstName, Tel, Mobilnum : string);
var
  item : TListItem;
begin
  item := Form1.ListView1.Items.Add;
  item.caption := ID;
  item.subItems.Add(LastName);
  item.subItems.Add(FirstName);
  item.subItems.Add(Tel);
  item.subItems.Add(Mobilnum);
end;

procedure TForm1.BtnAddData1Click(Sender: TObject);
begin
  AddToListView1('1', 'Weistermann', 'Mareike', '5829634170', '123987456');
end;

procedure TForm1.BtnAddData2Click(Sender: TObject);
begin
  AddToListView1('2', 'Weistermann', 'Josefine', '45829634171', '0123987456');
end;

procedure TForm1.BtnDeleteDataClick(Sender: TObject);
begin
         ListView1.selected.Delete;  // zu prüfende Anweisungen
end;

procedure TForm1.BtnLVClearClick(Sender: TObject);
begin
  try
    begin
    ListView1.clear;  // zu prüfende Anweisungen
    end;
  except // Fehlerbehandlung
    begin
    ShowMessage('Sie haben kein Item ausgewählt!');
    end;
  end;
end;

procedure TForm1.BtnAddData3Click(Sender: TObject);
begin
   AddToListView1('3', 'Naudermann', 'Jenni', '7529634170', '9323987456');
end;

procedure TForm1.BtnAddData4Click(Sender: TObject);
begin
   AddToListView1('4', 'Hesterlau', 'Dominik', '9429634170', '453987456');
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  strID : string;
begin
  if ListView1.Selected <> nil then
  begin
    strID := ListView1.Selected.caption;
    EdtListItemID.Text := strID;
  end
  else
  begin
     // Wenn keine Reihe ausgewählt ist mache nichts.
  end;

end;

procedure TForm1.FormShow(Sender: TObject);
begin
  BtnDeleteData.Enabled := Assigned(ListView1.Selected);
end;

procedure TForm1.ListView1Change(Sender: TObject; Item: TListItem;
  Change: TItemChange);
begin
  BtnDeleteData.Enabled := Assigned(ListView1.Selected);
end;

procedure TForm1.ListView1Click(Sender: TObject);
var
  strID : string;
begin
  BtnDeleteData.Enabled := Assigned(ListView1.Selected);
  if ListView1.Selected <> nil then
  begin
    strID := ListView1.Selected.caption;
    EdtListItemID.Text := strID;
  end
  else
  begin
     // Wenn keine Reihe ausgewählt ist mache nichts.
  end;
  end;

end.

